## ncbi-entrez-direct 6.10.20170123+ds

=== debian/changelog ===
ncbi-entrez-direct (6.10.20170123+ds-1) unstable; urgency=medium

  * New upstream release.
  * Resolve conflicts by diverting acedb-other's efetch and epub-utils'
    einfo to efetch.acedb and einfo.epub respectively (and likewise for
    their man pages) and deploying wrapper scripts that try to figure out
    which implementation the user intended to run.  (Proper usage differs
    radically, so ambiguity is unlikely to be an issue in practice.)
  * Add man pages for all commands.

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 24 Jan 2017 21:56:00 -0500

ncbi-entrez-direct (6.00.20170105+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Canonicalize per cme.
  * debian/copyright: Likewise; also, correct placement of Files-Excluded.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 05 Jan 2017 22:27:51 -0500

ncbi-entrez-direct (5.90.20161221+ds-4) unstable; urgency=medium

  * debian/control: Remove annotations from conflicts here.  (Oops.)

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 24 Dec 2016 23:48:49 -0500

ncbi-entrez-direct (5.90.20161221+ds-3) unstable; urgency=medium

  * debian/control:
    - Build-Depends: Correct syntax for multiple exclusions.
    - Conflicts: acedb-other (over efetch), epub-utils (over einfo).

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 24 Dec 2016 23:25:29 -0500

ncbi-entrez-direct (5.90.20161221+ds-2) unstable; urgency=medium

  * .gitignore: Account for files created outside debian/ at build time.
  * debian/control:
    - Set debian-med as maintainer, and myself as uploader.
    - Don't build depend on golang-any on architectures on
      which it's currently uninstallable.
  * debian/rules: If building xtract.go fails for any reason, fall back on
    installing the original Perl implementation.
  * debian/source/options: single-debian-patch.
  * xtract.pl: Don't insist on -fallback.

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 24 Dec 2016 22:43:40 -0500

ncbi-entrez-direct (5.90.20161221+ds-1) unstable; urgency=low

  * Initial release.  (Closes: #810949.)

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 23 Dec 2016 16:35:19 -0500
