## ncbi-entrez-direct 6.90.20170705+ds

=== debian/changelog ===
ncbi-entrez-direct (6.90.20170705+ds-2) unstable; urgency=medium

  * debian/rules: Rework Go-related logic to accommodate builds on
    (non-release) architectures on which I've had to conditionalize out
    the relevant build dependencies.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 06 Jul 2017 22:25:05 -0400

ncbi-entrez-direct (6.90.20170705+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/compat: Advance to debhelper 10.
  * debian/control:
    - Advance debhelper build dependency accordingly.
    - Reinstate architecture qualifiers for Go build dependencies on the
      basis of experimental build logs.
    - Standards-Version: 4.0.0 (already compliant).
  * debian/man/{ftp-cp,gbf2xml}.1: Correct syntax for optional filenames.
  * debian/man/xtract.1: Update for new release.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 05 Jul 2017 22:12:35 -0400

ncbi-entrez-direct (6.80.20170608+ds-1) experimental; urgency=medium

  * New upstream release.
  * debian/man/ftp-cp.1: Update accordingly.
  * Install the new asp-ls script as an example (alongside asp-cp) and
    the new gbf2xml script as an executable; give gbf2xml a man page.

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 09 Jun 2017 18:01:55 -0400

ncbi-entrez-direct (6.70.20170508+ds-1) experimental; urgency=medium

  * New upstream release.
  * debian/man/xtract.1: Update accordingly.
  * debian/control:
    - Tighten Go dependencies to require Go 1.8 for sort.Slice.
    - Add a dependency on golang-golang-x-text-dev, also newly necessary.
    - Remove architecture qualifiers for now.  (This *is* for experimental.)
  * debian/rules:
    - Build with /usr/lib/go-1.8/bin/go if necessary (notably, for backports).
    - Establish a local GOPATH with a symlink to .../golang.org/x/text.
    - Run go build -v now that there are third-party libraries to incorporate.
  * debian/.gitignore: Ignore debian/gopath.
  * debian/examples: Install the new asp-cp script as an example, since it
    requires non-free Aspera tools.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 29 May 2017 21:28:44 -0400

ncbi-entrez-direct (6.10.20170123+ds-2) UNRELEASED; urgency=medium

  * debian/e{fetch,info}: Correct help text to cite our man pages too.
    (They didn't yet exist when I originally wrote these wrappers.)
  * debian/man/xtract.1: Fix an old typo (esapes vs. escapes).

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 29 May 2017 15:41:49 -0400
