=== debian/control ===
--- 
+++ 
@@ -3,9 +3,11 @@
 Uploaders: Aaron M. Ucko <ucko@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               golang-any [!s390x !hppa !kfreebsd-any !m68k !sh4]
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10~),
+               golang-any (>= 2:1.8~2~) [!hppa !hurd-any !kfreebsd-any !m68k !sh4]
+	       | golang-1.8-go          [!hppa !hurd-any !kfreebsd-any !m68k !sh4],
+               golang-golang-x-text-dev [!hppa !hurd-any !kfreebsd-any !m68k !sh4]
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/ncbi-entrez-direct.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/ncbi-entrez-direct.git
 Homepage: http://www.ncbi.nlm.nih.gov/books/NBK179288
