=== debian/rules ===
--- 
+++ 
@@ -13,9 +13,27 @@
 STD_WRAPPERS = $(MODES:%=bin/e%)
 WRAPPERS = $(STD_WRAPPERS) bin/esummary
 AS_IS_SCRIPTS = amino-acid-composition between-two-genes edirutil \
-	        entrez-phrase-search filter-stop-words ftp-* \
+	        entrez-phrase-search filter-stop-words ftp-* gbf2xml \
 	        join-into-groups-of nquire reorder-columns sort-uniq-count* \
 	        word-at-a-time xy-plot
+
+GOCODE   = /usr/share/gocode
+GOLIBSRC = $(wildcard $(GOCODE)/src/golang.org/x/text)
+
+ifneq (,$(GOLIBSRC))
+  export GOPATH = $(CURDIR)/debian/gopath
+  GOLIBS = $(GOLIBSRC:$(GOCODE)/%=$(GOPATH)/%)
+
+  GOVERSION := $(word 3,$(shell go version)) # go version **goX.Y.Z** OS/CPU
+  GO_IS_OLD := $(shell dpkg --compare-versions 0$(GOVERSION) ge 0go1.8 || echo $$?)
+  ifneq (,$(GO_IS_OLD))
+    export PATH := /usr/lib/go-1.8/bin:$(PATH)
+  endif
+
+  $(GOLIBS): $(GOPATH)/%: /usr/share/gocode/%
+	mkdir -p $(dir $@)
+	ln -s $< $@
+endif
 
 bin/edirect: edirect.pl
 	mkdir -p bin
@@ -31,14 +49,14 @@
 	echo 'exec /usr/bin/edirect -fetch -format docsum "$$@"' >> $@
 	chmod +x $@
 
-override_dh_auto_build: $(WRAPPERS)
+override_dh_auto_build: $(WRAPPERS) $(GOLIBS)
 	dh_auto_build
 	install $(AS_IS_SCRIPTS) debian/efetch debian/einfo bin/
 # Always use gccgo?  The resulting binary would be much smaller, but
 # pull in a large shared library with few other reverse dependencies.
-	go build -gccgoflags '$(CFLAGS) $(LDFLAGS)' -o bin/xtract xtract.go || \
-	    install xtract.pl bin/xtract
+	go build -v -gccgoflags '$(CFLAGS) $(LDFLAGS)' -o bin/xtract xtract.go \
+	    ||  install xtract.pl bin/xtract
 
 override_dh_auto_clean:
 	dh_auto_clean
-	rm -rf bin
+	rm -rf bin $(GOPATH)
