## ncbi-entrez-direct 7.40.20170928+ds

=== debian/changelog ===
ncbi-entrez-direct (7.40.20170928+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Unconditionalize Go build dependencies.
  * debian/examples: Add several new scripts for experimental local record
    storage, which may migrate to /usr/bin when they're more mature.
  * debian/man/{efilter,esearch,xtract}.1: Update for new release.
  * debian/rules: Remove fallback logic to install the old Perl
    implementation of xtract, now retired upstream.
  * Standards-Version: 4.1.1 (already compliant).

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 06 Oct 2017 17:52:27 -0400
