=== debian/control ===
--- 
+++ 
@@ -4,10 +4,9 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 10~),
-               golang-any (>= 2:1.8~2~) [!hppa !hurd-any !kfreebsd-any !m68k !sh4]
-	       | golang-1.8-go          [!hppa !hurd-any !kfreebsd-any !m68k !sh4],
-               golang-golang-x-text-dev [!hppa !hurd-any !kfreebsd-any !m68k !sh4]
-Standards-Version: 4.0.0
+               golang-any (>= 2:1.8~2~) | golang-1.8-go,
+               golang-golang-x-text-dev
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/ncbi-entrez-direct.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/ncbi-entrez-direct.git
 Homepage: http://www.ncbi.nlm.nih.gov/books/NBK179288
