=== debian/rules ===
--- 
+++ 
@@ -54,8 +54,7 @@
 	install $(AS_IS_SCRIPTS) debian/efetch debian/einfo bin/
 # Always use gccgo?  The resulting binary would be much smaller, but
 # pull in a large shared library with few other reverse dependencies.
-	go build -v -gccgoflags '$(CFLAGS) $(LDFLAGS)' -o bin/xtract xtract.go \
-	    ||  install xtract.pl bin/xtract
+	go build -v -gccgoflags '$(CFLAGS) $(LDFLAGS)' -o bin/xtract xtract.go
 
 override_dh_auto_clean:
 	dh_auto_clean
