## ncbi-entrez-direct 10.5.20181204+ds

=== debian/changelog ===
ncbi-entrez-direct (10.5.20181204+ds-2) unstable; urgency=medium

  * debian/control: Actually build-depend on dh-golang.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 05 Dec 2018 22:05:20 -0500

ncbi-entrez-direct (10.5.20181204+ds-1) unstable; urgency=medium

  * New upstream release.
  * (debian/).gitignore: Update per GOPATH change.
  * debian/control:
    - Build-depend on dh-golang, golang-github-dataence-porter2-dev,
      golang-github-fatih-color-dev, golang-github-klauspost-cpuid-dev,
      golang-github-rainycape-unidecode-dev, and
      golang-github-shirou-gopsutil-dev.
    - Set Built-Using (with the help of dh-golang).
    - Bump minimum Go version to 1.10 for strings.Builder.
    - Depend on libxml-simple-perl.
    - Repoint Vcs-{Browser,Git} at salsa.debian.org.
    - Rules-Requires-Root: no (confirmed safe).
    - Standards-Version: 4.2.1 (compliant at this point).
  * debian/examples: Remove local storage/indexing scripts (considered
    official enough for /usr/bin at this point), leaving only asp-* and
    has-asp, which promote non-free software; add test-pubmed-index.
  * debian/man/{archive-pubmed,download-pubmed,download-sequence,eblast,
    fetch-pubmed,index-pubmed,intersect-uid-lists,(local-)phrase-search,
    pm-clean,pm-erase,pm-invert,pm-log,pm-merge,pm-prepare,pm-promote,
    pm-refresh,pm-repack,pm-stash,pm-uids,pm-verify,protein-neighbors,rchive,
    stream-pubmed,transmute}.1: Document newly added tools.
  * debian/man/{edirect,nquire,xtract}.1: Fix old documentation bugs.
  * debian/man/{efetch,efilter,elink,entrez-phrase-search,ftp-cp,ftp-ls,
    nquire,xtract}.1: Update for new release.
  * debian/rules:
    - Change (autopopulated) GOPATH to meet dh-golang's expectations.
    - Belatedly run dh --with=golang to populate (misc:)Built-Using.
    - Clean up remaining cruft from when Go support was optional.
    - Pull github.com/surgebase/porter2 (aka gh.c/dataence/porter2),
      github.com/fatih/color (along with its dependencies
      github.com/mattn/go-{colorable,isatty}), github.com/klauspost/cpuid,
      github.com/rainycape/unidecode (aliased, per rchive.go's expectations,
      to github.com/fiam/gounidecode/unidecode), github.com/shirou/gopsutil
      (along with its dependency golang.org/x/sys/unix), and our ersatz
      github.com/pbnjay/memory into the path.  (The rainycape version of
      unidecode has the key advantages of being fresher and already packaged
      for Debian.)
    - Build rchive.go in addition to xtract.go; build both against a
      common.go factored out of xtract.go.
    - Install run-ncbi-converter (accidentally left off earlier).
    - Flip Perl scripts back to running via /usr/bin/perl (from
      /usr/bin/env perl).
    - Enforce use of Go version 1.10 or newer, even if the default is older.
    - Install local storage/indexing scripts to /usr/bin.  (Closes: #901028.)
    - Install new eblast wrapper (corresponding to new -blast mode) and
      protein-neighbors script.
  * debian/vendor/github.com/pbnjay/memory/memory.go: New wrapper around
    github.com/shirou/gopsutil/mem, filling in for a different third-party
    library that lacks a declared license.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 05 Dec 2018 21:19:35 -0500
