## ncbi-entrez-direct 10.9.20190205+ds

=== debian/changelog ===
ncbi-entrez-direct (10.9.20190205+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/man/{archive-pubmed,download-pubmed,edirect,efilter,
    entrez-phrase-search,esearch,espell,fetch-pubmed,index-pubmed,
    phrase-search,rchive,stream-pubmed,transmute,xtract}.1: Update
    accordingly.
  * debian/man/{local-phrase-search,pm-{clean,current,erase,log,repack,uids,
    verify}}.1: Retire per the corresponding scripts.
  * debian/rules: Stop installing retired scripts local-phrase-search and
    (implicitly) pm-{clean,current,erase,log,repack,uids,verify}.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 06 Feb 2019 22:51:27 -0500
