## ncbi-entrez-direct 10.9.20190219+ds

=== debian/changelog ===
ncbi-entrez-direct (10.9.20190219+ds-1) unstable; urgency=medium

  * New upstream point release.
  * debian/man/xtract.1: Update accordingly (adding -is-within).

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 26 Feb 2019 21:28:41 -0500
