=== debian/control ===
--- 
+++ 
@@ -4,20 +4,29 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 10~),
-               golang-any (>= 2:1.8~2~) | golang-1.8-go,
+               dh-golang,
+               golang-any (>= 2:1.10~) | golang-1.10-go,
+               golang-github-dataence-porter2-dev,
+               golang-github-fatih-color-dev,
+               golang-github-klauspost-cpuid-dev,
+               golang-github-rainycape-unidecode-dev,
+	       golang-github-shirou-gopsutil-dev,
                golang-golang-x-text-dev
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/ncbi-entrez-direct.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/ncbi-entrez-direct.git
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/med-team/ncbi-entrez-direct
+Vcs-Git: https://salsa.debian.org/med-team/ncbi-entrez-direct.git
 Homepage: http://www.ncbi.nlm.nih.gov/books/NBK179288
+Rules-Requires-Root: no
 
 Package: ncbi-entrez-direct
 Architecture: any
 Multi-Arch: foreign
 Depends: libwww-perl,
+	 libxml-simple-perl,
          ${misc:Depends},
          ${perl:Depends},
          ${shlibs:Depends}
+Built-Using: ${misc:Built-Using}
 Description: NCBI Entrez utilities on the command line
  Entrez Direct (EDirect) is an advanced method for accessing NCBI's set
  of interconnected databases (publication, sequence, structure, gene,
