=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 AS_IS_SCRIPTS = amino-acid-composition archive-pubmed between-two-genes \
                 entrez-phrase-search fetch-pubmed filter-stop-words \
                 index-pubmed intersect-uid-lists join-into-groups-of \
-                local-phrase-search pm-* protein-neighbors reorder-columns \
+                pm-* protein-neighbors reorder-columns \
                 sort-uniq-count* stream-pubmed word-at-a-time xy-plot
 DL_SCRIPTS = download-pubmed download-sequence
 BIN_DL_SCRIPTS = $(DL_SCRIPTS:%=bin/%)
