=== debian/control ===
--- 
+++ 
@@ -3,20 +3,22 @@
 Uploaders: Aaron M. Ucko <ucko@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper-compat (= 12),
                dh-golang,
                golang-any (>= 2:1.10~) | golang-1.10-go,
                golang-github-dataence-porter2-dev,
                golang-github-fatih-color-dev,
+               golang-github-gedex-inflector-dev,
                golang-github-klauspost-cpuid-dev,
                golang-github-rainycape-unidecode-dev,
 	       golang-github-shirou-gopsutil-dev,
                golang-golang-x-text-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/ncbi-entrez-direct
 Vcs-Git: https://salsa.debian.org/med-team/ncbi-entrez-direct.git
 Homepage: http://www.ncbi.nlm.nih.gov/books/NBK179288
 Rules-Requires-Root: no
+XS-Go-Import-Path: ncbi.nlm.nih.gov/edirect
 
 Package: ncbi-entrez-direct
 Architecture: any
