=== debian/watch ===
version=4
opts="dversionmangle=s/\+ds//,repacksuffix=+ds" \
https://ftp.ncbi.nlm.nih.gov/entrez/entrezdirect/versions/([\d.]+)/edirect-([\d.]+).tar.gz
