## ncbi-entrez-direct 13.7.20200713+dfsg

=== debian/changelog ===
ncbi-entrez-direct (13.7.20200713+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/man/{accn-at-a-time,g2x}.1: Document new commands.
  * debian/man/{gbf2xml,word-at-a-time,xtract}.1: Update for new release.
  * debian/rules:
    - Account for new as-is script accn-at-a-time, new Go executable g2x, and
      gbf2xml's switch from a Perl script to an as-is script (wrapping xtract).
    - Belatedly arrange to tweak enquire, whose --ca* options won't do here.

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 14 Jul 2020 22:17:15 -0400

ncbi-entrez-direct (13.7.20200615+dfsg-2) unstable; urgency=medium

  * debian/rules: Install ftp-cp, ftp-ls, nquire, and transmute as simple
    wrappers for edirect (with no .pl suffix) now that they're no longer
    independent Perl scripts (as of 12.3.20191024[+ds]), fixing a
    regression caught by autopkgtest.
  * debian/tests/run-unit-test: Correct invocation of filter-stop-words
    (which ignores its arguments and reads from standard input).

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 28 Jun 2020 21:11:51 -0400

ncbi-entrez-direct (13.7.20200615+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/man/{bt-link,bt-srch,download-ncbi-data,edirect,fetch-extras,
    index-extras,index-pubmed,j2x,nquire,phrase-search,rchive,t2x,xplore,
    xtract}.1: Update for new release.
  * debian/man/{enquire,index-themes,theme-aliases}.1: Document new commands.
  * debian/man/nquire.1: Belatedly note FTP support in NAME and DESCRIPTION;
    correct formatting of SEE ALSO header; formally adjust SEE ALSO order
    (accidentally not quite sorted).
  * debian/rules: Account for new as-is script enquire, bash script
    index-themes, and sourceable theme-aliases.
  * debhelper-compat 13 (routine-update)

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 28 Jun 2020 17:28:59 -0400

ncbi-entrez-direct (13.1.20200102+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * .gitignore: Ignore new "saved" directory.
  * debian/control: Suggest curl (for index-extras).
  * debian/copyright: Add *.pdf (sourceless) to Files-Excluded.
  * debian/examples: Remove Scripps BioThings support, now considered official
    enough (mentioned in README, albeit as experimental).
  * debian/install: Install bt-*.txt and hlp-*.txt (bt-context.txt and
    hlp-xtract.txt at present) to a new /usr/lib/ncbi-entrez-direct directory.
  * debian/man/{archive-pubmed,download-ncbi-data,edirect,efetch,elink,esample,
    esearch,ftp-cp,fetch-pubmed,ftp-ls,index-pubmed,j2x,join-into-groups-of,
    nquire,phrase-search,rchive,sort-uniq-count,transmute,xtract}.1: Update for
    new release.
  * debian/man/{bt-link,bt-load,bt-save,bt-srch,expand-current,fetch-extras,
    t2x,xplore}.1: Document new commands.
  * debian/man/efetch.1: Correct old paste-o in -chr_stop's description.
  * debian/man/fetch-pubmed.1: Belatedly wordsmith description of -path.
  * debian/man/index-extras.1: Rename from index-bioc.1 and update.
  * debian/man/nquire.1: Belatedly drop accidental self-referential SEE ALSO.
  * debian/man/xtract.1: Explicitly mark suboptions as such; belatedly resync
    -indices' description.
  * debian/rules:
    - Account for new as-is scripts expand-current and fetch-extras; for newly
      official Scripps BioThings scripts bt-link, bt-load, bt-save, bt-srch,
      and xplore (some of which need tweaking to look for bt-context.txt in the
      right place); for new Go executable t2x; and for rename of as-is script
      index-bioc to index-extras (which moreover needs its interpreter
      specification corrected to #!/bin/bash via a new generic mechanism).
    - Move the xtract binary from /usr/bin to /usr/lib/ncbi-entrez-direct (so
      it can find hlp-xtract.txt) and substitute a wrapper script.
    - Broaden .../x/sys/unix to .../x/sys in GOLIBSRC(_).  (Closes: #963439.)
    - Temporarily move new go.mod, go.sum, and s2p.go files to a "saved"
      directory to keep them from interfering with the build process.  (They
      don't necessarily deserve outright exclusion, even with repacking
      already in use.)
  * debian/watch: Change repack suffix to +dfsg due to the additional need
    to exclude sourceless PDF documents.

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 21 Jun 2020 22:32:39 -0400

ncbi-entrez-direct (12.0.20190816+ds-2) unstable; urgency=medium

  * Team upload
  * Add autopkgtests

 -- Pranav Ballaney <ballaneypranav@gmail.com>  Wed, 06 May 2020 19:11:16 +0530
