=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Aaron M. Ucko <ucko@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any (>= 2:1.10~) | golang-1.10-go,
                golang-github-dataence-porter2-dev,
@@ -28,6 +28,7 @@
          ${misc:Depends},
          ${perl:Depends},
          ${shlibs:Depends}
+Suggests: curl
 Built-Using: ${misc:Built-Using}
 Description: NCBI Entrez utilities on the command line
  Entrez Direct (EDirect) is an advanced method for accessing NCBI's set
